aboutsummaryrefslogtreecommitdiff
path: root/build_deploy.sh
diff options
context:
space:
mode:
Diffstat (limited to 'build_deploy.sh')
-rwxr-xr-xbuild_deploy.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/build_deploy.sh b/build_deploy.sh
index ba9732b..ef25e5c 100755
--- a/build_deploy.sh
+++ b/build_deploy.sh
@@ -14,10 +14,10 @@ mm
adb root && adb remount && adb sync vendor
adb shell stop
-adb shell stop vendor.hwcomposer-2-1 || true
-adb shell stop vendor.hwcomposer-2-2 || true
-adb shell stop vendor.hwcomposer-2-3 || true
-adb shell stop vendor.hwcomposer-2-4 || true
+adb shell stop vendor.hwcomposer-2-1 && adb shell start vendor.hwcomposer-2-1 || true
+adb shell stop vendor.hwcomposer-2-2 && adb shell start vendor.hwcomposer-2-2 || true
+adb shell stop vendor.hwcomposer-2-3 && adb shell start vendor.hwcomposer-2-3 || true
+adb shell stop vendor.hwcomposer-2-4 && adb shell start vendor.hwcomposer-2-4 || true
[ $HWCLOG -eq "1" ] && adb logcat -c